//
//  ifstrm.cpp
//  C++ program demonstrating how to use ifstream class,
//  derived from the istream class.
//  Copyright (c) Chris H. Pappas and William H. Murray, 2001
//
//  Valid member functions for ifstream include:
//         ifstream::open      ifstream::rdbuf
//
//  Valid member functions for istream include:
//         istream::gcount     istream::get
//         istream::getline    istream::ignore
//         istream::istream    istream::peek
//         istream::putback    istream::read
//         istream::seekg      istream::tellg

#include "stdafx.h"
#include <fstream>
#include <iostream>

using namespace std;

#define iCOLUMNS 80

int main(int argc, char* argv[])
{
    char cOneLine[iCOLUMNS];

    ifstream ifMyInputStream("ifstrm.cpp", ios::in);
    while(ifMyInputStream) {
        ifMyInputStream.getline(cOneLine, iCOLUMNS);
        cout << '\n' << cOneLine;
    }
    ifMyInputStream.close( );

    return 0;
}
